# UserRequestedViewAdvancement()

Method in [LineView](/2.3/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

Called by [DialogueAdvanceInput](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md) to signal that the user has requested that the dialogue advance.

```csharp
public override void UserRequestedViewAdvancement()
```

## Remarks

When this method is called, the Dialogue View should advance the dialogue. Advancing the dialogue can mean different things, depending on the nature of the dialogue view, and its current state.

In many situations, if the Dialogue View hasn't yet finished presenting its line (that is, the [RunLine(LocalizedLine,Action)](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.runline.md) method has been called, but it hasn't yet called its completion handler), it's sufficient to call the [requestInterrupt](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.requestinterrupt.md) method, which tells the Dialogue Runner to interrupt the current line.

'Advancing' the dialogue may not always mean *finishing* the line's presentation.

For example, in the *Legend of Zelda* series of games, lines of dialogue are displayed one character at a time in a text box, until the line has finished appearing. At this point, the text box displays a button to continue; when the user presses the primary input button (typically the `A` button), the line is dismissed. However, if this button is pressed *while the line is still appearing*, the rest of the line appears all at once, and the button appears. Finally, if a secondary input button (typically the `B` button) is pressed at any point, the line is *interrupted*, and the dialogue proceeds to the next line immediately.

[UserRequestedViewAdvancement()](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.userrequestedviewadvancement.md) is designed to give your Dialogue View an opportunity to decide whether it wants to interrupt the entire line for all views, or simply speed up the delivery of *this* view.

{% hint style="info" %}
The default implementation of this method does nothing.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.userrequestedviewadvancement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
